| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "ditabase.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (top-level; 1 global), complexTypes (6), element groups (13)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/ditabase.xsd; see XML source
Imports Schemas (1):
xml.xsd [src]
Includes Schemas (16):
commonElementMod.xsd [src], conceptGrp.xsd [src], glossaryGrp.xsd [src], highlightDomain.xsd [src], indexingDomain.xsd [src], metaDeclGrp.xsd [src], metaDeclMod.xsd [src], programmingDomain.xsd [src], referenceGrp.xsd [src], softwareDomain.xsd [src], taskGrp.xsd [src], tblDeclGrp.xsd [src], tblDeclMod.xsd [src], topicGrp.xsd [src], uiDomain.xsd [src], utilitiesDomain.xsd [src]
Redefines Schemas (6):
commonElementGrp.xsd [src], conceptMod.xsd [src], glossaryMod.xsd [src], referenceMod.xsd [src], taskMod.xsd [src], topicMod.xsd [src]
Description
The <dita> element provides a top-level container for multiple topics when you create documents using the ditabase DTD. The <dita> element lets you create any sequence of concept, task, and reference topics, and the ditabase DTD lets you further nest these topic types inside each other. The <dita> element has no particular output implications; it simply allows you to create multiple topics of different types at the same level in a single document.

Top-Level Element Summary (root element candidates)
dita |
Namespace: | {no namespace}
Type: | dita.class
Content: | complex, 2 attributes, 5 elements
Defined: | globally; see XML source
Referenced: | never

Complex Type Summary
concept.class (ver 2) |
Namespace: | {no namespace}
Derived By: | extension of concept.class
Content: | complex, 19 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Redefines: | concept.class in conceptMod.xsd
Referenced: | by 1 location
dita.class |
Namespace: | {no namespace}
Content: | complex, 2 attributes, 5 elements
Defined: | globally; see XML source
Referenced: | by 1 location
glossentry.class (ver 2) |
Namespace: | {no namespace}
Derived By: | extension of glossentry.class
Content: | complex, 19 attributes, 4 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Redefines: | glossentry.class in glossaryMod.xsd
Referenced: | by 1 location
reference.class (ver 2) |
Namespace: | {no namespace}
Derived By: | extension of reference.class
Content: | complex, 19 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Redefines: | reference.class in referenceMod.xsd
Referenced: | by 1 location
task.class (ver 2) |
Namespace: | {no namespace}
Derived By: | extension of task.class
Content: | complex, 19 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Redefines: | task.class in taskMod.xsd
Referenced: | by 1 location
topic.class (ver 2) |
Namespace: | {no namespace}
Derived By: | extension of topic.class
Content: | complex, 19 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Redefines: | topic.class in topicMod.xsd
Referenced: | by 1 location

Element Group Summary
concept-info-types (ver 2) |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Redefines: | concept-info-types in conceptMod.xsd
Referenced: | by 1 location
ditabase-info-types |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Referenced: | by 1 location
dl (ver 2) |
Namespace: | {no namespace}
Content: | 2 elements
Defined: | globally; see XML source
Redefines: | dl in commonElementGrp.xsd
Referenced: | by 7 locations
fig (ver 2) |
Namespace: | {no namespace}
Content: | 3 elements
Defined: | globally; see XML source
Redefines: | fig in commonElementGrp.xsd
Referenced: | by 5 locations
glossentry-info-types (ver 2) |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Redefines: | glossentry-info-types in glossaryMod.xsd
Referenced: | by 1 location
index-base (ver 2) |
Namespace: | {no namespace}
Content: | 4 elements
Defined: | globally; see XML source
Redefines: | index-base in commonElementGrp.xsd
Referenced: | by 1 location
info-types |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Includes: | declarations of 5 elements
Referenced: | by 10 locations
keyword (ver 2) |
Namespace: | {no namespace}
Content: | 8 elements
Defined: | globally; see XML source
Redefines: | keyword in commonElementGrp.xsd
Referenced: | by 6 locations
ph (ver 2) |
Namespace: | {no namespace}
Content: | 15 elements
Defined: | globally; see XML source
Redefines: | ph in commonElementGrp.xsd
Referenced: | by 5 locations
pre (ver 2) |
Namespace: | {no namespace}
Content: | 4 elements
Defined: | globally; see XML source
Redefines: | pre in commonElementGrp.xsd
Referenced: | by 7 locations
reference-info-types (ver 2) |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Redefines: | reference-info-types in referenceMod.xsd
Referenced: | by 1 location
task-info-types (ver 2) |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Redefines: | task-info-types in taskMod.xsd
Referenced: | by 1 location
topic-info-types (ver 2) |
Namespace: | {no namespace}
Content: | 5 elements
Defined: | globally; see XML source
Redefines: | topic-info-types in topicMod.xsd
Referenced: | by 1 location

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.